
Core - Feature # 62089

Status: Resolved Priority: Could have
Author: Franz Holzinger Category:
Created: 2014-10-07 Assigned To:
Updated: 2014-11-19 Due date:
PHP Version: 5.5
Complexity:
Sprint Focus:
Subject: error message: Wrong symbolic link to index.php.
Description

TYPO3 gives a wrong error message in the Front End if you make an error in the link of index.php.

Wrong link:

index.php -> typo3/index.php

instead of correct

index.php -> typo3_src/index.php

(see #62074)
Write a better error message:
Wrong symbolic link to index.php.

Related issues:
related to Core - Bug # 62074: Calculated absolute path to tslib directory do... Closed 2014-10-07

Associated revisions
Revision d295ef77 - 2014-11-19 12:22 - Markus Klein

[TASK] Inform about invalid index.php symlink

Add a verbose message to inform the user about a possibly
wrong index.php symlink in case a wrong folder structure
is detected.

Resolves: #62089
Releases: master, 6.2
Change-Id: I9f7e70c2144fe2385751764f9d3abe32f199c030
Reviewed-on: http://review.typo3.org/33197
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>
Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Revision 351d55f5 - 2014-11-19 21:01 - Markus Klein
[TASK] Inform about invalid index.php symlink

Add a verbose message to inform the user about a possibly
wrong index.php symlink in case a wrong folder structure
is detected.

Resolves: #62089
Releases: master, 6.2
Change-Id: I9f7e70c2144fe2385751764f9d3abe32f199c030
Reviewed-on: http://review.typo3.org/34339
Reviewed-by: Markus Klein <klein.t3@reelworx.at>
Tested-by: Markus Klein <klein.t3@reelworx.at>
Reviewed-by: Helmut Hummel <helmut.hummel@typo3.org>
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>

History
#1 - 2014-10-08 00:17 - Markus Klein

Background info

The typo3/index.php calls typo3/init.php which calls the bootstrap->baseSetup with parameter 'typo3/' as relative path.
This leads to the problem that getPathSiteByRelativePathPart() calculates the wrong path for the site as it removes the relative path from the current
script path.

A possible way to check if the path is valid, would be to check in definePaths() whether PATH_site . 'index.php' does exist.

#2 - 2014-10-08 00:24 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33197

#3 - 2014-10-08 11:27 - Markus Klein

One more note: The Install Tool already detects if the index.php is a wrong symlink, but that does not help with the initial installation, if you access it
with the website url only.

Example for an initial setup:

# ll
FIRST_INSTALL
index.php -> typo3/index.php
typo3 -> typo3_src/typo3
typo3_src -> ../typo3_23423

If the user now accesses http://example.com/ an error will appear as the bootstrap is triggered, which fails and therefore does not redirect to the Install
Tool where this misconfiguration would have been reported.
If the users accesses http://example.com/typo3/install/ the Install Tool will come up and show the misconfiguration.
So we only need to handle the first case here.

#4 - 2014-10-08 14:47 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33197

#5 - 2014-11-19 00:26 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33197

#6 - 2014-11-19 11:39 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33197

#7 - 2014-11-19 11:41 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33197

#8 - 2014-11-19 12:03 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/33197

#9 - 2014-11-19 12:31 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d295ef77540c996a0bf79fc2defba539456da3c4.

#10 - 2014-11-19 12:34 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34339

#11 - 2014-11-19 12:48 - Gerrit Code Review
Patch set 2 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34339

#12 - 2014-11-19 21:30 - Markus Klein
- Status changed from Under Review to Resolved

Applied in changeset commit:351d55f5fdb96d25497a3ff07dd3d750a59cc75e.
